Skip to main content

Product Tags API

List Product Tags

GET /products/tags
AttributeTypeRequiredDescription
contextstringNoScope under which the request is made; determines fields present in response.
pageintegerNoCurrent page of the collection. Defaults to 1.
per_pageintegerNoMaximum number of items to be returned in result set. Defaults to no limit. Values between 0 and 100 are allowed.
searchstringNoLimit results to those matching a string.
excludearrayNoEnsure result set excludes specific IDs.
includearrayNoLimit result set to specific IDs.
orderstringNoSort ascending or descending. Allowed values: asc, desc. Defaults to asc.
orderbystringNoSort by term property. Allowed values: name, slug, count. Defaults to name.
hide_emptybooleanNoIf true, empty terms will not be returned. Defaults to true.
curl "https://example-store.com/wp-json/wc/store/v1/products/tags"

Example response:

[
{
"id": 1,
"name": "Test Tag",
"slug": "test-tag",
"description": "",
"parent": 0,
"count": 1
},
{
"id": 2,
"name": "Another Tag",
"slug": "another-tag",
"description": "",
"parent": 0,
"count": 1
}
]